Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class DemuxInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.apache.tools.ant.DemuxInputStream

public class DemuxInputStream
extends java.io.InputStream

Passes input requests to the project object for demuxing into individual tasks and threads.

Since:
  Ant 1.6

Constructor Summary
`DemuxInputStream(Project project)` Create a DemuxInputStream for the given project

Method Summary
`int` | `read()`
`int` | `read(byte[] buffer, int offset, int length)`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DemuxInputStream

    public DemuxInputStream(Project project)

  Create a DemuxInputStream for the given project

Parameters:
  `project` - the project instance

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
    `java.io.IOException`

### read

    public int read(byte[] buffer,
                    int offset,
                    int length)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.